Alert tags
Update alert tag
Authorization
API key Alerts: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Alerts: write
Path Parameters
workspaceId*string
Format
uuidtagId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
color?null|string
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/alert-tags/t8Pj42kLd6Nw" \ -H "Content-Type: application/json" \ -d '{ "name": "Production fleet", "color": "#be123c" }'Updated alert tag.
{ "id": "t8Pj42kLd6Nw", "name": "Production fleet", "color": "#be123c", "createdAt": "2026-01-08T11:20:00+00:00"}